import { EventEmitter } from "../../../stencil-public-runtime";
import "@maggioli-design-system/mds-icon/loader";
import "@maggioli-design-system/mds-icon/dist/mds-icon/mds-icon";
import { States } from "src/utils/utils";
export declare class SwActionHeader {
  status: States;
  optionsMenuOpen: boolean;
  creationDate: Date | string;
  editDate: Date | string;
  title: string;
  emitTitle: EventEmitter<string>;
  emitChangeState: EventEmitter<{
    state: States;
    mode: string;
    previousState: States;
  }>;
  emitDeleteAction: EventEmitter<void>;
  emitCloseAction: EventEmitter<void>;
  emitInternalCloseAction: EventEmitter<boolean>;
  isActionClose: boolean;
  changeTitle(newValue: string): void;
  previousState: States;
  changeState(ev: CustomEvent): void;
  openOptions(): void;
  calcDifferenceInDays(startDate: Date | string, endDate: Date | string): any;
  passToActionClose(isActionClose: boolean): void;
  render(): any;
}
